package com.bonus.canteen.core.supermarket.service;

import com.bonus.canteen.core.supermarket.domain.SupermarketInfo;

import java.util.List;

/**
 * 超市Service接口
 *
 * @author xsheng
 * @date 2025-04-05
 */
public interface SupermarketInfoService {

    /**
     * 查询超市列表
     *
     * @param orderInfo 超市
     * @return 超市集合
     */
    public List<SupermarketInfo> selectSupermarketInfoList(SupermarketInfo orderInfo);

    /**
     * 新增超市
     *
     * @param orderInfo 超市
     * @return 结果
     */
    public int insertSupermarketInfo(SupermarketInfo orderInfo);

    /**
     * 修改超市
     *
     * @param orderInfo 超市
     * @return 结果
     */
    public int updateSupermarketInfo(SupermarketInfo orderInfo);

    /**
     * 批量删除超市
     *
     * @param orderIds 需要删除的超市主键集合
     * @return 结果
     */
    public int deleteSupermarketInfoBySupermarketIds(Long[] orderIds);

    /**
     * 删除超市信息
     *
     * @param orderId 超市主键
     * @return 结果
     */
    public int deleteSupermarketInfoBySupermarketId(SupermarketInfo supermarketInfo);


    List<SupermarketInfo> getSupermarketList();
}
